> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Farming



## OpenAPI

````yaml cherrytree/openapi.json get /farming
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /farming:
    get:
      summary: Farming
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Farming'
components:
  schemas:
    Farming:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              itemId:
                type: number
              seedName:
                type: string
              seedDurationInSeconds:
                type: number
              seedLevel:
                type: number
              seedExp:
                type: number
              rewardId:
                type: number
              reward:
                type: string
              chanceForScythe:
                type: number
              chanceForScytheText:
                type: string
            required:
              - id
              - itemId
              - seedName
              - seedDurationInSeconds
              - seedLevel
              - seedExp
              - rewardId
              - reward
              - chanceForScythe
              - chanceForScytheText
      required:
        - total
        - results

````